Package com.opensymphony.module.sitemesh.velocity

# Class VelocityDecoratorServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.velocity.tools.view.VelocityViewServlet
org.apache.velocity.tools.view.servlet.VelocityViewServlet
com.opensymphony.module.sitemesh.velocity.VelocityDecoratorServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class VelocityDecoratorServlet extends org.apache.velocity.tools.view.servlet.VelocityViewServlet
Servlet that allows Velocity templates to be used as decorators.

Version:
  $Revision: 1.9 $
Author:
  Joe Walnes
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.velocity.tools.view.servlet.VelocityViewServlet

`DEFAULT_TOOLBOX_PATH, TOOLBOX_KEY`

### Fields inherited from class org.apache.velocity.tools.view.VelocityViewServlet

`BUFFER_OUTPUT_PARAM`

## Constructor Summary

Constructors
Constructor
Description
`VelocityDecoratorServlet()`

## Method Summary

Modifier and Type
Method
Description
`private DecoratorMapper`
`getDecoratorMapper()`
`org.apache.velocity.Template`
`handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.velocity.context.Context context)`

### Methods inherited from class org.apache.velocity.tools.view.servlet.VelocityViewServlet

`getVelocityView, init`

### Methods inherited from class org.apache.velocity.tools.view.VelocityViewServlet

`createContext, doGet, doPost, doRequest, error, fillContext, findInitParameter, getLog, getTemplate, getTemplate, getVelocityProperty, manageResourceNotFound, mergeTemplate, requestCleanup, setContentType, setVelocityView`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VelocityDecoratorServlet

public VelocityDecoratorServlet()

## Method Details

### handleRequest

public org.apache.velocity.Template handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.velocity.context.Context context)

Overrides:
  `handleRequest` in class `org.apache.velocity.tools.view.VelocityViewServlet`

### getDecoratorMapper

private DecoratorMapper getDecoratorMapper()